
Foreman - Bug #1949

VMware creation: vm's always get 768MB memory

11/15/2012 08:02 AM - Siert Z.

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: VM management   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Even if specified else, all my VMs end up with 768MB memory. Using ESX 5 with the vmware branch of november 15th 2012.

The post to foreman seems fine:

Started POST "/compute_resources/1-myesx/vms" for 192.168.56.1 at Thu Nov 15 11:04:17 +0100 2012

  Processing by ComputeResourcesVmsController#create as HTML

  Parameters: {"vm"=>{"name"=>"foreman_1352973844", "path"=>"Datacenters/DC1/vm", "volumes_attribu

tes"=>{"new_volumes"=>{"name"=>"Hard disk", "_delete"=>"", "datastore"=>"ESX2 SAS", "size_gb"=>"10

"}, "0"=>{"name"=>"Hard disk", "_delete"=>"", "datastore"=>"ESX2 SAS", "size_gb"=>"10"}}, "cpus"=>

"1", "memory"=>"4294967296", "interfaces_attributes"=>{"0"=>{"_delete"=>"", "network"=>"Intern"}, 

"new_interfaces"=>{"_delete"=>"", "network"=>"Intern"}}, "start"=>"1", "cluster"=>"AICD"}, "commit

"=>"Save changes", "compute_resource_id"=>"1-myesx", "utf8"=>"✓", "authenticity_token"=>"token"}

Redirected to http://192.168.56.104:3000/compute_resources/1-myesx/vms

Completed 302 Found in 2887ms

Associated revisions

Revision cfa6a3f5 - 12/27/2012 10:50 AM - Ohad Levy

fixes #1949 - VMware creation: vm's always get 768MB memory

I've removed the select box too, and would add a slider in a later commit

History

#1 - 11/15/2012 12:42 PM - Sam Kottler

- Assignee set to Ohad Levy

Assigning this to Ohad since he's done most of the VMWare work.

#2 - 11/23/2012 02:50 PM - Siert Z.

Note that foreman host virtual machine properties will always list 512MB (536870912) installed.

#3 - 12/18/2012 11:21 AM - Sam Kottler

- Category set to VM management

- Status changed from New to Assigned

- Assignee changed from Ohad Levy to Sam Kottler

I'm going to dig into this now.

#4 - 12/18/2012 11:22 PM - Sam Kottler

I can reproduce this issue. I spent some time looking at it today and think I know the root cause so hopefully I'll get a PR in tomorrow!
#5 - 12/27/2012 10:47 AM - Ohad Levy

- Status changed from Assigned to Ready For Testing

- Assignee changed from Sam Kottler to Ohad Levy

- % Done changed from 0 to 100

https://github.com/theforeman/foreman/pull/338

#6 - 12/27/2012 10:53 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Applied in changeset cfa6a3f56f354bf4cf990e1312d45cca21197f6f.
